> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Auth Ticket

> Reauthenticates the current user for a different tenant. If the user does not have access to the tenant, the operation fails.



## OpenAPI

````yaml /openapi/openapi_user.json put /platform/adminuser/authtickets/tenants
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Admin User Service
  title: Admin User
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/adminuser/authtickets/tenants:
    put:
      tags:
        - AdminAuthTicket
      summary: Refresh Auth Ticket
      description: >-
        Reauthenticates the current user for a different tenant. If the user
        does not have access to the tenant, the operation fails.
      parameters:
        - description: The tenant to authenticate the user in
          in: query
          name: tenantId
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantAdminUserAuthTicket'
        description: An existing valid auth ticket containing the refresh token.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantAdminUserAuthTicket'
            text/json:
              schema:
                $ref: '#/components/schemas/TenantAdminUserAuthTicket'
            text/plain:
              schema:
                $ref: '#/components/schemas/TenantAdminUserAuthTicket'
          description: OK
components:
  schemas:
    TenantAdminUserAuthTicket:
      properties:
        accessToken:
          nullable: true
          type: string
        accessTokenExpiration:
          format: date-time
          type: string
        availableTenants:
          items:
            $ref: '#/components/schemas/Tenant'
          nullable: true
          type: array
        createdOn:
          format: date-time
          type: string
        grantedBehaviors:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        jwtAccessToken:
          nullable: true
          type: string
        redirect:
          nullable: true
          type: string
        refreshToken:
          nullable: true
          type: string
        refreshTokenExpiration:
          format: date-time
          type: string
        ssoNameId:
          nullable: true
          type: string
        ssoSession:
          nullable: true
          type: string
        tenant:
          $ref: '#/components/schemas/Tenant'
        user:
          $ref: '#/components/schemas/UserProfile'
      type: object
    Tenant:
      properties:
        attributes:
          items:
            $ref: '#/components/schemas/TenantAttribute'
          nullable: true
          type: array
        domain:
          nullable: true
          type: string
        expiry:
          format: date-time
          nullable: true
          type: string
        id:
          format: int32
          type: integer
        isDevTenant:
          type: boolean
        isUnified:
          type: boolean
        lastLoginDate:
          format: date-time
          nullable: true
          type: string
        masterCatalogs:
          items:
            $ref: '#/components/schemas/AdminUserMasterCatalog'
          nullable: true
          type: array
        name:
          nullable: true
          type: string
        sites:
          items:
            $ref: '#/components/schemas/Site'
          nullable: true
          type: array
      type: object
    UserProfile:
      properties:
        emailAddress:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        lastName:
          nullable: true
          type: string
        userId:
          nullable: true
          type: string
        userName:
          nullable: true
          type: string
      type: object
    TenantAttribute:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          type: string
        name:
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          type: string
        value:
          nullable: true
      type: object
    AdminUserMasterCatalog:
      properties:
        catalogs:
          items:
            $ref: '#/components/schemas/Catalog'
          nullable: true
          type: array
        defaultCurrencyCode:
          nullable: true
          type: string
        defaultLocaleCode:
          nullable: true
          type: string
        id:
          format: int32
          type: integer
        name:
          nullable: true
          type: string
        supportedLocaleCodes:
          items:
            type: string
          nullable: true
          type: array
        tenantId:
          format: int32
          type: integer
      type: object
    Site:
      properties:
        attributes:
          items:
            $ref: '#/components/schemas/TenantAttribute'
          nullable: true
          type: array
        catalogId:
          format: int32
          type: integer
        countryCode:
          nullable: true
          type: string
        currencyCode:
          nullable: true
          type: string
        domain:
          nullable: true
          type: string
        id:
          format: int32
          type: integer
        localeCode:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        primaryCustomDomain:
          nullable: true
          type: string
        tenantId:
          format: int32
          type: integer
      type: object
    Catalog:
      properties:
        defaultCurrencyCode:
          nullable: true
          type: string
        defaultLocaleCode:
          nullable: true
          type: string
        id:
          format: int32
          type: integer
        masterCatalogId:
          format: int32
          type: integer
        name:
          nullable: true
          type: string
        tenantId:
          format: int32
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````